<template>
  <div>
    <v-row justify="center">
      <v-col cols="12" md="6">
        <v-card>
          <v-card-title>Login with facebook</v-card-title>
          <v-btn @click="logInWithFacebook()">login</v-btn>
          <v-btn @click="checkLoginStatus()">check login</v-btn>
          <v-textarea filled></v-textarea>
          <v-btn @click="postFacebook()">Post on facebook page</v-btn>
        </v-card>
      </v-col>
    </v-row>
  </div>
</template>

<script>
const axios = require("axios");

export default {
  components: {},
  data() {
    return {
      loggedIn: false,
      myUserToken: '',
      myUserId: ''
    };
  },
  methods: {
    postFacebook() {
      console.log('TOJEN',this.myUserToken)
      console.log('ID',this.myUserId)
      
      axios.get(`https://graph.facebook.com/${this.myUserId}/accounts?access_token=${this.myUserToken}`).then(() =>{
       console.log('aoba foi')
     }).catch((err) => {
       console.log('droga for nao',err)
     })
     /* axios
        .post(
          `https://graph.facebook.com/${this.myPageId}/feed
  ?message=Testing Facbook API!
  &access_token=${this.myPageToken}`
        )
        .then(() => {
          console.log("postou tio");
        });*/
    },
    async checkLoginStatus() {
      await window.FB.getLoginStatus(function (response) {
        console.log("TOKEN", response.authResponse.accessToken);
        this.myUserId = response.authResponse.userID 
        this.myUserToken = response.authResponse.accessToken
        console.log('TOJEN',this.myUserToken)
      console.log('ID',this.myUserId)
        
        if (response.status == "connected") {
          console.log("user is already connected");
          alert("user is already connected");
          this.loggedIn = true;
        } else {
          this.logInWithFacebook();
        }
      });
    },
    async logInWithFacebook() {
      window.FB.login(
        function (response) {
          if (response.authResponse) {
            alert("You are logged in &amp; cookie set!");
            this.loggedIn = true;
          } else {
            alert("User cancelled login or did not fully authorize.");
          }
        },
        { scope: "public_profile,email" }
      );
      return false;
    },
  },
};
</script>
